# EntityFramework
dotnet add package Microsoft.EntityFrameworkCore.SqlServer
dotnet add package Microsoft.EntityFrameworkCore.Sqlite
dotnet add package Microsoft.EntityFrameworkCore.Cosmos
dotnet add package Microsoft.EntityFrameworkCore.Tools.DotNet
dotnet add package Microsoft.EntityFrameworkCore.Design
dotnet add package Microsoft.Extensions.Configuration
dotnet add package Microsoft.AspNetCore.HttpOverrides
# For Maria
dotnet add package Pomelo.EntityFrameworkCore.MySql
# Dotnet CLI
dotnet tool install --global dotnet-ef
dotnet tool update --global dotnet-ef

[https://www.learnentityframeworkcore.com/walkthroughs/aspnetcore-application]
[https://docs.microsoft.com/en-us/ef/core/cli/dotnet]
[https://stackoverflow.com/questions/39083372/how-to-read-connection-string-in-net-core]
